Subject: Re: bug#12196: 24.1.50; setting cache-long-line-scans to non-nil freezes Emacs

From: Michael Heerdegen <[email-masked]>
Date: Fri, 24 Aug 2012 14:19:34 +0200

Eli Zaretskii <[email-masked]> writes:

> Should be fixed now (revision 109631 on the trunk), please test.

Thanks, Eli.  However, I still see the freezing.  I have 

   GNU Emacs 24.2.50.1 (i486-pc-linux-gnu, GTK+ Version 3.4.2)
   of 2012-08-23 on dex, modified by Debian

now, so your fix should be included.

In emacs -Q, I did C-x d ~ RET and set `cache-long-line-scans' to t.
Then I moved around in that buffer with the arrow keys and prior/ next.
After a few seconds, Emacs was frozen.

In another test, I started emacs -Q and evaluated

  (setq-default cache-long-line-scans t)

Then I did some trivial things like changing current buffer and moving
around.  In some cases, CPU consumption went to 100% while I did
nothing, and Emacs didn't respond anymore.  Another time, Emacs aborted.

Thanks,

Michael.